#Module-Specific definitions
%define apache_version 2.2.4
%define mod_name mod_authnz_external
%define mod_conf 10_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	An apache authentication DSO using external programs
Name:		apache-%{mod_name}
Version:	3.2.5
%define subrel	1
Release:	%mkrel 5
Group:		System/Servers
License:	Apache License
URL:		http://www.unixpapa.com/mod_auth_external.html
Source0:	http://mod-auth-external.googlecode.com/files/%{mod_name}-%{version}.tar.gz
Source1:	%{mod_conf}
Requires:	pwauth
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache >= %{apache_version}
Requires:	apache >= %{apache_version}
BuildRequires:  apache-devel >= %{apache_version}
Provides:	apache-mod_auth_external
Obsoletes:	apache-mod_auth_external

%description
An apache external authentication module - uses PAM.

%prep
%setup -q -n %{mod_name}-%{version}
chmod 644 AUTHENTICATORS CHANGES INSTALL* README TODO

%build
%{_sbindir}/apxs -c %{mod_name}.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%files
%doc AUTHENTICATORS CHANGES INSTALL* README TODO UPGRADE
%config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%{_libdir}/apache-extramodules/%{mod_so}


%changelog

* Sat Jul 07 2012 luigiwalser <luigiwalser> 3.2.5-5.1.mga2
+ Revision: 268672
- fix module configuration to work with systemd (mga #6714)
- httpd restart is handled by filetriggers now

  + guillomovitch <guillomovitch>
    - spec cleanup

* Sun Sep 18 2011 dmorgan <dmorgan> 3.2.5-4.mga2
+ Revision: 144664
- Fix buildrequires
- Change apache-base require

* Wed Feb 23 2011 ennael <ennael> 3.2.5-3.mga1
+ Revision: 57642
- imported package apache-mod_authnz_external

